Bug 573914 - KMS:RV635:HD3650 Thinkpad W500 LVDS dual-screen display flickers after resume for approx 1 minute
KMS:RV635:HD3650 Thinkpad W500 LVDS dual-screen display flickers after resume...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Jerome Glisse
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-16 02:51 EDT by Nigel Jones
Modified: 2011-06-27 11:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 11:10:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
todays syslog messages (18.81 KB, text/plain)
2010-03-16 03:06 EDT, Nigel Jones
no flags Details
kernel messages (19.60 KB, text/plain)
2010-03-16 03:11 EDT, Nigel Jones
no flags Details
X log (158.63 KB, text/plain)
2010-03-16 03:11 EDT, Nigel Jones
no flags Details

  None (edit)
Description Nigel Jones 2010-03-16 02:51:28 EDT
Description of problem:

After resuming from suspend, 
 * initially the display doesn't "draw" quickly. The "login screen" background draws in "stripes" and takes up to 10s to complete -- as if it's running very slowly
 * subsequently the internal lcd display flickers in brightness quite significantly.
 * After around 60s, when back at the normal desktop the flickering appears to stop

This didn't occur in F12+2.6.31 kernel, but is now occuring with versions below


Version-Release number of selected component (if applicable):

kernel-2.6.33-8.fc13.x86_64
xorg-x11-drv-ati-6.13.0-0.23.20100219gite68d3a389.fc13.x86_64

How reproducible:
Every time

Steps to Reproduce:
1.Suspend
2.resume
3.
  
Actual results:
Display flickers/draws slowly for about a minute

Expected results:
Smooth display, no flickering

Additional info:

This is somewhat similar to the flickering that occurs continually when docked to a DVI monitor & using both displays. I raised a defect for this on F12 (2.6.32 kernel specific) , and will repeat the test with F13.
https://bugzilla.redhat.com/show_bug.cgi?id=567208

NOT using an xorg.conf. adding logs below
Comment 1 Nigel Jones 2010-03-16 03:06:32 EDT
Created attachment 400387 [details]
todays syslog messages
Comment 2 Nigel Jones 2010-03-16 03:11:13 EDT
Created attachment 400389 [details]
kernel messages
Comment 3 Nigel Jones 2010-03-16 03:11:32 EDT
Created attachment 400390 [details]
X log
Comment 4 Nigel Jones 2010-03-16 12:20:40 EDT
Tried today after docking to an external DVI screen, with the display spread across 2 screens.

I also "upgraded" to

kernel-2.6.33-10.fc13.x86_64
xorg-x11-drv-ati-6.13.0-0.23.20100219gite68d3a389.fc13.x86_64

In this case the flickering appears to continue indefinately. (about 5 mins as I write), but the system is otherwise responsive, compiz wobbly windows are rendering fine

The problem is observed at all backlight levels - it becomes more obvious at higher (=normal) levels

glxgears looks awful - lots of jernkiness, some white bars along top of window, but rates appear ok (low, but enough for me). I've not previously seen the vertical refresh note.

[jonesn@snowdon2 ~]$ glxgears
Running synchronized to the vertical refresh.  The framerate should be
approximately 1/1096764487 the monitor refresh rate.
5082 frames in 5.0 seconds = 1016.079 FPS
5454 frames in 5.0 seconds = 1090.798 FPS
Comment 5 Nigel Jones 2010-03-16 12:28:32 EDT
Correction - at times the flickering becomes very pronounced & the performance of the desktop drops very significantly with jerky mouse and windows moves despite negligible cpu consumption. Further the general flickering extends to white noise bars at times, and incompletely drawn area (faded out/mosaic)
Comment 6 Matěj Cepl 2010-03-23 13:05:26 EDT
Could you try once more with the word nomodeset on the kernel command line (press E or TAB when you get to the grub to be able to edit the kernel command line), please?

What happens?
Comment 7 Nigel Jones 2010-03-23 13:10:32 EDT
I'm actually sat in front of the W500 in exactly that configuration as I received the email. 

In particular I added "nomodeset radeon.modeset=0" to the boot line.

In this configuration both LVDS and DVI screens are working fine - rock steady, no flickering. However when I use this configuration suspend/resume has a tendency not to work. (not opened a defect on that)

I started the day booted up with KMS enabled. Both screens did come on, but the LVDS was flickering.

I've been following kernel/ati updates in case of relief.

kernel-2.6.33.1-17.fc13.x86_64
xorg-x11-drv-ati-6.13.0-0.24.20100316git819b40153.fc13.x86_64

I'm pretty sure this is a KMS issue. Currently kernel is 2.6.33, but I did also get issues on F12 with 2.6.32
Comment 8 Nigel Jones 2010-03-23 13:12:01 EDT
Apologies, I may be mixing up the two defects. 

With a single screen I haven't noticed flickering with KMS recently -- I think it's calmed down in recent builds. The flickering primarily remains with dual screens. I will verify the single screen tonight.
Comment 9 Nigel Jones 2010-03-24 03:33:33 EDT
I can confirm this problem still occurs on a single screen with the above levels -- it lastedprobably only 20s or so when I tried this morning.
Comment 10 Bug Zapper 2011-06-02 12:09:29 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2011-06-27 11:10:48 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.